using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using System.Web.Mvc.Ajax;
using SilverlightWithMvc.Web.Models;

namespace SilverlightWithMvc.Web.Controllers
{
    public class CategoryController : Controller
    {
        public ActionResult Index()
        {
            return View();
        }

        public ActionResult List()
        {
            NorthwindDataContext db = new NorthwindDataContext();
            var cats = from cat in db.Categories
                       select new
                       {
                           cat.CategoryID,
                           cat.CategoryName
                       };

            return Json(cats);
        }

        public ActionResult Products(int id)
        {
            NorthwindDataContext db = new NorthwindDataContext();
            var prods = from prod in db.Products.Where(cat => cat.CategoryID == id)
                        select new
                        {
                            prod.ProductID,
                            prod.ProductName,
                            prod.UnitPrice,
                        };
            return Json(prods);
        }
    }
}
